<?php
// Neue Helper-Instanz holen
$helper = WebFormHelper::createWebFormHelper($this, 'refill_form');

// Pre-fetch payment types
$helper->prefetchValueInstance('payments');

// Add form group
$helper->addFormGroup('refill_form', "Bitte w&auml;hle aus, was du nachbestellen willst und gebe die Menge an.");

// Add sub group
$helper->addInputSelectField('type', "--- Bitte ausw&auml;hlen ---");

// In-game currencies (if more than default add them here!)
$helper->addSelectSubOption('currencies', "--- W&auml;hrungen ---");
$helper->addSelectOption('currency', "{?currency?}");

// Raw materials
$helper->addSelectSubOption('raw_materials', "--- Rohstoffe ---");
$helper->addSelectOption('raw_wood', "Holz");
$helper->addSelectOption('raw_iron', "Metall");
$helper->addSelectOption('raw_stones', "Steine");

// This is needed to close the select tag
$helper->addInputSelectField('type', "");

// Field for amount
$helper->addFormSubGroup('amount', "Gebe hier in ganzen Zahlen die Menge an, die du nachbestellen willst.");
$helper->addInputTextField('amount', 1000);

// Add payments
$helper->getValueInstance()->addResultsToHelper($helper);

// Ask again for current account password
$helper->addFormGroup('pass_old', "Bitte gebe zur Best&auml;tigung der Nachbestellung dein derzeitiges Passwort ein.");
$helper->addFieldText('pass_old', "Derzeitiges Passwort:");
$helper->addInputPasswordField('pass_old');

// CAPTCHA enbaled?
if ($helper->ifFormSecuredWithCaptcha()) {
	$helper->addFormGroup('captcha_refill', "Bitte wiederhole den angezeigten Code:");
	$helper->addCaptcha();
} // END - if

// Submit button
$helper->addFormGroup('buttons_refill', "Mit Absenden des Formulars wird deine Nachbestellung verbindlich!");
$helper->addInputResetButton("Eingaben l&ouml;schen");
$helper->addInputSubmitButton("Nachbestellung verbindlich aufgeben");
$helper->flushContent();
?>
<div id="refill_frame">
	<div class="content_header">
		Jetzt dein {?currency?}-Konto aufladen!
	</div>
	<div class="content_body">
		{?refill_form?}
	</div>
</div>
